VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmOutlookContacts 
   Caption         =   "Outlook Contacts"
   ClientHeight    =   3390
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5670
   OleObjectBlob   =   "OutlookContacts.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frmOutlookContacts"
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim appOutlook  As Outlook.Application
Dim nmsOutlook  As NameSpace
Dim fldContacts As MAPIFolder

Private Sub cmdCancel_Click()
    Me.Hide
End Sub

Private Sub cmdOK_Click()
    Application.Selection.Text = txtAddress
    Me.Hide
End Sub

Private Sub cmdSearch_Click()
    Dim itmTemp As Object
    Dim itmsSubset As Items

    Me.MousePointer = fmMousePointerHourGlass
    
    lstNames.Clear
    txtAddress = ""
    
    Set itmsSubset = fldContacts.Items.Restrict("[LastName] = """ & txtSearchFor & """" & _
                                         " Or [FirstName] = """ & txtSearchFor & """" & _
                                         " Or [CompanyName] = """ & txtSearchFor & """")
    
    For Each itmTemp In itmsSubset
        lstNames.AddItem itmTemp.FullName
        lstNames.List(lstNames.ListCount - 1, 2) = itmTemp.FullName & vbCrLf & itmTemp.HomeAddress
        lstNames.List(lstNames.ListCount - 1, 3) = itmTemp.FullName & vbCrLf & itmTemp.CompanyName & vbCrLf & itmTemp.BusinessAddress
        lstNames.List(lstNames.ListCount - 1, 4) = itmTemp.FullName & vbCrLf & itmTemp.MailingAddress
        lstNames.List(lstNames.ListCount - 1, 5) = itmTemp.FullName & vbCrLf & itmTemp.OtherAddress
    Next itmTemp
    
    If lstNames.ListCount > 0 Then
        lstNames.ListIndex = 0
        lstNames.SetFocus
    Else
        txtSearchFor.SetFocus
    End If

    Me.MousePointer = fmMousePointerDefault
End Sub

Private Sub lstNames_Click()
    
    If optHome Then
        txtAddress = lstNames.List(lstNames.ListIndex, 2)
    ElseIf optBusiness Then
        txtAddress = lstNames.List(lstNames.ListIndex, 3)
    ElseIf optMailing Then
        txtAddress = lstNames.List(lstNames.ListIndex, 4)
    Else
        txtAddress = lstNames.List(lstNames.ListIndex, 5)
    End If
    
End Sub

Private Sub optBusiness_Click()
    txtAddress = lstNames.List(lstNames.ListIndex, 3)
End Sub

Private Sub optHome_Click()
    txtAddress = lstNames.List(lstNames.ListIndex, 2)
End Sub

Private Sub optMailing_Click()
    txtAddress = lstNames.List(lstNames.ListIndex, 4)
End Sub

Private Sub optOther_Click()
    txtAddress = lstNames.List(lstNames.ListIndex, 5)
End Sub

Private Sub txtSearchFor_Enter()
    cmdSearch.Default = True
    txtSearchFor.SelStart = 0
    txtSearchFor.SelLength = Len(txtSearchFor)
End Sub

Private Sub txtSearchFor_Exit(ByVal Cancel As MSForms.ReturnBoolean)
    cmdOK.Default = True
End Sub

Private Sub UserForm_Activate()
    txtSearchFor = Trim$(Application.Selection.Text)
    
    If txtSearchFor <> "" Then
        cmdSearch = True
    End If

End Sub

Private Sub UserForm_Initialize()
    Me.MousePointer = fmMousePointerHourGlass

    Set appOutlook = CreateObject("Outlook.Application")
    Set nmsOutlook = appOutlook.GetNamespace("MAPI")
    Set fldContacts = nmsOutlook.GetDefaultFolder(olFolderContacts)
            
    Me.MousePointer = fmMousePointerDefault
End Sub

Private Sub UserForm_Terminate()
    Set fldContacts = Nothing
    Set nmsOutlook = Nothing
    Set appOutlook = Nothing
End Sub
